GET /api/v2/query/{nextBatchId}
Returns the next batch of data from the initial POST request.
Syntax
- HTTP method
- GET
- Availability
- Data Cloud v2.0, Salesforce 54.0
- Formats
- REST
- URI
- /api/v2/query/{nextBatchId}
Examples
- Request Header
-
1Authorization: Bearer {{cdpAuthToken}} - Response
-
1{ 2"data": [ 3[ 4"1103658353", 5"123", 6"2020-09-28T00:00:00.000+00:00", 7 8 9], [], [] ... 10] 11], 12"startTime": "2021-10-06T13:36:30.33265Z", 13"endTime": "2021-10-06T13:36:32.81927Z", 14"rowCount": 255, 15"queryId": "20211006_133630_00059_9adm3", 16"nextBatchId": "09151b49-54ed-4948-8139-1f4c7c3a9581", 17"done": false, 18"metadata": 19 { 20 "ssot__EngagementAssetId__c": 21 { 22 "type": "VARCHAR", 23 "placeInOrder": 5, 24 "typeCode": 12 25 }, 26 "ssot__TaskId__c": 27 { 28 "type": "VARCHAR", 29 "placeInOrder": 6, 30 "typeCode": 12 31 }, 32 "ssot__EngagementDateTm__c": 33 { 34 "type": "TIMESTAMP", 35 "placeInOrder": 8, 36 "typeCode": 93 37 } 38 } 39}